*  Program...........: MAIN.PRG
*  Author............: Steven Kern
*  Project...........: DDICT26
*  Created...........: 05/19/94
*  Copyright.........: (c) Steven Kern, 1994
*                      Portions copyright Flash Creative Products, Inc. 1994.
*                      Used with permission.
*) Description.......: 
*  Calling Samples...: 
*  Parameter List....: 
*  Major change list.: 


CLOSE ALL
CLEAR ALL
CLEAR
SET TALK OFF

*-- Save old library setting
lcOldLib = SET("LIBRARY")

*-- Program specific SETs
gcEnvUser = "XYZZY"
DO SetSets  

*-- Load binary program to make directories
LOAD MKDIR		&& Make directory

*	Preserve old ON ERROR setting
lcOldError = ON("ERROR")

IF GETENV("USER") # gcEnvUser
	ON ERROR DO OnError WITH MESSAGE(), MESSAGE(1), PROGRAM(), LINENO(), ;
       ERROR()
ENDIF

=TablOpen("OnError","OnError","","SHARED")

*-- Set up help
*   First, preserve original help settings
lcHlpStat = SET('HELP')
lcHlpFile = SET('HELP',1)

SET HELP TO dicthelp
SET HELP ON
*  SET TOPIC TO IIF(RDLEVEL() > 1, wName = LOWER(WONTOP()) ;
*  AND Read_Item = LOWER(VARREAD()), TOPIC = PAD())
*  SET TOPIC TO ALLTRIM(UPPER(SUBSTR(Topic,3)))==ALLTRIM(UPPER(WTITLE()))

PUSH KEY CLEAR
ON KEY LABEL F1 HELP
SET TOPIC TO  wName = LOWER(WONTOP()) 

*-- Test error handler
*  DO ddError && File doesn't exist!

DO Datadict.spr

*-- Restore Keys and Help, etc.
POP KEY
SET HELP &lcHlpStat
SET HELP TO &lcHlpFile
SET LIBRARY TO &lcOldLib
RELEASE MODULE MKDIR.BIN
RETURN

************************************************
PROCEDURE tablopen
************************************************

*) Procedure.........: tablopen
*  Author............: YAG
*  Project...........: CODEBOOK2.5
*  Created...........: 08/12/1993  12:42:29
*  Copyright.........: (c) Flash Creative Management, 1993
*) Description.......: Opens tables
*  Calling Samples...: 	=TablOpen("Customer","Customer","","SHARED")
*  Parameter List....:
*  Major change list.: Add ONERROR support to be able to return
*                      a value to the calling program

PARAMETER tcTable, tcAlias, tcOrder, tcOpenMode

*-- Save old error handler
jlNoError = .T.
jcOldError = ON("ERROR")
ON ERROR jlNoError = .F.

IF USED(tcAlias)
	SELECT (tcAlias)
	IF tcOpenMode = 'EXCLUSIVE' AND SYS(2011) # "Exclusive"
		USE (tcTable) ;
			ALIAS (tcAlias) ;
			EXCLUSIVE
	ENDIF
	IF tcOpenMode = 'SHARED' AND SYS(2011) = "Exclusive"
		USE (tcTable) ;
			ALIAS (tcAlias) ;
			SHARED
	ENDIF
	SET ORDER TO (tcOrder)
ELSE
	USE (tcTable) AGAIN ;
		ALIAS (tcAlias) ;
		IN 0 ;
		ORDER (tcOrder) ;
		&tcOpenMode
ENDIF
SELECT (tcAlias)

*-- Reset error handler
ON ERROR &jcOldError

RETURN jlNoError

